package utils

import "gorm.io/gorm"

func Error(err error) {
	if err != nil {
		panic(err.Error())
	}
}

func DbErrSkipRecordNotFound(err error) {
	if err != nil && err != gorm.ErrRecordNotFound {
		panic(err.Error())
	}
}

func DbErrRecordNotFoundBool(err error) bool {
	if err == gorm.ErrRecordNotFound {
		return true
	} else if err != nil {
		panic(err.Error())
	}
	return false
}
